fvdeinfo

NAME
fvdeinfo - determines information about a FileVault Drive Encrypted (FVDE) volume

SYNOPSIS
fvdeinfo [-e plist_path] [-k key] [-o offset] [-p password] [-r password] [-huvV] sources

DESCRIPTION
fvdeinfo is a utility to determine information about a FileVault Drive Encrypted (FVDE) volume

fvdeinfo is part of the libfvde package. libfvde is a library to access the FileVault Drive Encryption (FVDE) format

sources one or more source files or devices.

The options are as follows:

-e plist_path
    specify the path of the EncryptedRoot.plist.wipekey file

-h  shows this help

-k key
    specify the volume master key formatted in base16

-o offset
    specify the volume offset

-p password
    specify the password

-r password
    specify the recovery password

-u  unattended mode (disables user interaction)

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fvdeinfo -o20480 image.raw
    fvdeinfo 20220116

    Core Storage information:

    Logical volume group:
    	Identifier			: 94923b58-9f31-4988-8707-cb90c8e45a46
    	Name				: TESTLVG
    	Number of physical volumes	: 1
    	Number of logical volumes	: 1

    Physical volume: 1
    	Identifier			: 3273a055-3b8b-47e8-b970-df35eecda81b
    	Size				: 511 MiB (536829952 bytes)
    	Encryption method		: AES-XTS

    Logical volume: 1
    	Identifier			: 420af122-cf73-4a30-8b0a-a593a65fbef5
    	Name				: TestLV
    	Size				: 160 MiB (167772160 bytes)
    	Is locked

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind on the project issue tracker: https://github.com/libyal/libfvde/issues

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2011-2024, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
fvdemount(1)